Lintian Reports

E library-not-linked-against-libc

All reports of library-not-linked-against-libc for the archive. The extended description of this tag is:

The package installs a library which is not dynamically linked against libc.

It is theoretically possible to have a library which doesn't use any symbols from libc, but it is far more likely that this is a violation of the requirement that "shared libraries must be linked against all libraries that they use symbols from in the same way that binaries are".

Refer to Debian Policy Manual section 10.2 (Libraries) and https://bugs.debian.org/698720 for details.

Severity: important, Certainty: possible

Check: binaries, Type: binary, udeb

Evolution of the library-not-linked-against-libc Lintian tag over the past 366 days:

The beforementioned graph for the library-not-linked-against-libc tag

Emitted (non-overridden): 553, overridden: 211, total: 764

The package names link to the relevant maintainer page and the corresponding report for the source package. The links go to the full maintainer report page, which includes info and experimental tags and overridden tags, rather than the default page that shows only errors and warnings.

asterisk-modules 1:13.23.1~dfsg-1 (binary) overridden

atheme-services 7.2.9-3 (binary)

atheme-services-contrib 7.2.9-3 (binary)

budgie-core 10.4+git20180830.02.f2dbc215fdb-2 (binary) overridden

charybdis 4.1.1-1+b1 (binary)

chicken-bin 4.13.0-1 (binary)

colord 1.4.3-3 (binary)

cyclades-serial-client 0.93 (binary)

debian-installer-9-netboot-amd64 20170615+deb9u4 (binary) overridden

debian-installer-9-netboot-i386 20170615+deb9u4 (binary) overridden

dicod 2.6-1 (binary)

dicod 2.5-1 (binary)

fwupd 1.1.3-2 (binary) overridden

fwupd-tests 1.1.3-2 (binary) overridden

geany-plugin-extrasel 1.33+dfsg-1+b1 (binary)

geany-plugin-lua 1.33+dfsg-1+b1 (binary)

geany-plugin-shiftcolumn 1.33+dfsg-1+b1 (binary)

geany-plugin-tableconvert 1.33+dfsg-1+b1 (binary)

gitg 3.26.0-7 (binary)

gjs-tests 1.52.4-1 (binary) overridden

gjs-tests 1.54.1-1 (binary)

gnome-software 3.30.1-1 (binary)

gnumeric 1.12.43-1 (binary) overridden

gstreamer1.0-plugins-base 1.14.4-1 (binary)

gstreamer1.0-plugins-good 1.14.4-1 (binary)

gthumb 3:3.6.1-1+b1 (binary)

libappindicator3-0.1-cil 12.10.0+git20151221-5 (binary)

libatk-adaptor 2.30.0-2 (binary)

libbabl-0.1-0 0.1.58-1 (binary)

libblockdev-part-err2 2.20-2 (binary)

libcairo-gobject2 1.15.12-1 (binary)

libfltk-cairo1.3 1.3.4-7 (binary)

libg3d-plugins 0.0.8-25 (binary)

libgambit4 4.8.8-3.1 (binary)

libgda-5.0-4 5.2.4-11 (binary)

libgladeui-2-6 3.22.1-2 (binary)

libglobus-gram-job-manager-callout-error0 4.0-1 (binary) overridden

libglobus-gridmap-callout-error0 3.0-1 (binary) overridden

libmagickcore-6.q16-6 8:6.9.10.8+dfsg-1 (binary)

libmagickcore-6.q16-6-extra 8:6.9.10.8+dfsg-1 (binary)

libmagickcore-6.q16hdri-6 8:6.9.10.8+dfsg-1 (binary)

libmagickcore-6.q16hdri-6-extra 8:6.9.10.8+dfsg-1 (binary)

libmaliit-glib0 0.94.1-2 (binary)

libmkl-avx 2019.0.117-2 (binary) overridden

libmkl-avx2 2019.0.117-2 (binary) overridden

libmkl-avx512 2019.0.117-2 (binary) overridden

libmkl-avx512-mic 2019.0.117-2 (binary) overridden

libmkl-core 2019.0.117-2 (binary) overridden

libmkl-def 2019.0.117-2 (binary) overridden

libmkl-gf 2019.0.117-2 (binary) overridden

libmkl-gf-ilp64 2019.0.117-2 (binary) overridden

libmkl-gf-lp64 2019.0.117-2 (binary) overridden

libmkl-gnu-thread 2019.0.117-2 (binary) overridden

libmkl-intel 2019.0.117-2 (binary) overridden

libmkl-intel-ilp64 2019.0.117-2 (binary) overridden

libmkl-intel-lp64 2019.0.117-2 (binary) overridden

libmkl-intel-thread 2019.0.117-2 (binary) overridden

libmkl-mc 2019.0.117-2 (binary) overridden

libmkl-mc3 2019.0.117-2 (binary) overridden

libmkl-p4 2019.0.117-2 (binary) overridden

libmkl-p4m 2019.0.117-2 (binary) overridden

libmkl-p4m3 2019.0.117-2 (binary) overridden

libmkl-pgi-thread 2019.0.117-2 (binary) overridden

libmkl-rt 2019.0.117-2 (binary) overridden

libmkl-sequential 2019.0.117-2 (binary) overridden

libmkl-tbb-thread 2019.0.117-2 (binary) overridden

libmkl-vml-avx 2019.0.117-2 (binary) overridden

libmkl-vml-avx2 2019.0.117-2 (binary) overridden

libmkl-vml-avx512 2019.0.117-2 (binary) overridden

libmkl-vml-avx512-mic 2019.0.117-2 (binary) overridden

libmkl-vml-cmpt 2019.0.117-2 (binary) overridden

libmkl-vml-def 2019.0.117-2 (binary) overridden

libmkl-vml-ia 2019.0.117-2 (binary) overridden

libmkl-vml-mc 2019.0.117-2 (binary) overridden

libmkl-vml-mc2 2019.0.117-2 (binary) overridden

libmkl-vml-mc3 2019.0.117-2 (binary) overridden

libmkl-vml-p4 2019.0.117-2 (binary) overridden

libmkl-vml-p4m 2019.0.117-2 (binary) overridden

libmkl-vml-p4m2 2019.0.117-2 (binary) overridden

libmkl-vml-p4m3 2019.0.117-2 (binary) overridden

libotbopenthreadsadapters-6.6-1 6.6.0+dfsg-3 (binary) overridden

libpam-modules 1.1.8-3.8 (binary)

libplplot15 5.13.0+dfsg-9 (binary) overridden

libpurple0 2.13.0-2 (binary)

librsvg2-common 2.44.2-1 (binary) overridden

librsvg2-common 2.40.20-3 (binary)

libseafile0 6.2.4-1 (binary)

libsphere0d 3.2-11 (binary)

libstd-rust-1.29 1.29.0+dfsg1-1 (binary) overridden

libstd-rust-1.30 1.30.0~beta.7+dfsg1-1~exp1 (binary) overridden

libwscodecs2 2.6.4-1 (binary)

libxmmsclient-glib1 0.8+dfsg-18.1+b6 (binary)

maliit-inputcontext-gtk2 0.94.1-2 (binary)

maliit-inputcontext-gtk3 0.94.1-2 (binary)

ostree-tests 2018.8-2 (binary) overridden

packagekit-gtk3-module 1.1.11-1 (binary)

pidgin 2.13.0-2 (binary)

pike7.8-gl 7.8.866-8.1+b1 (binary)

pike7.8-kerberos 7.8.866-8.1+b1 (binary)

pike8.0-gl 8.0.610-1+b2 (binary)

pike8.0-kerberos 8.0.610-1+b2 (binary)

pike8.0-pcre 8.0.610-1+b2 (binary)

pike8.0-sdl 8.0.610-1+b2 (binary)

pike8.0-svg 8.0.610-1+b2 (binary)

postgresql-plpython-10 10.5-1 (binary)

postgresql-plpython-11 11.0-1 (binary) overridden

postgresql-plpython3-11 11.0-1 (binary) overridden

puredata-extra 0.49.0-2 (binary) overridden

python-ldb 2:1.4.2-3 (binary)

python-ldb 2:1.4.0+really1.3.6-1 (binary)

python-samba 2:4.9.1+dfsg-1 (binary)

python-samba 2:4.8.5+dfsg-1 (binary)

python-talloc 2.1.14-1 (binary)

rep 0.92.5-3+b4 (binary)

rep 0.92.7-1 (binary)

ruby-xmmsclient 0.8+dfsg-18.1+b6 (binary)

samba 2:4.9.1+dfsg-1 (binary)

samba 2:4.8.5+dfsg-1 (binary)

samba-dsdb-modules 2:4.9.1+dfsg-1 (binary)

samba-dsdb-modules 2:4.8.5+dfsg-1 (binary)

samba-libs 2:4.9.1+dfsg-1 (binary)

samba-libs 2:4.8.5+dfsg-1 (binary)

samba-vfs-modules 2:4.9.1+dfsg-1 (binary)

samba-vfs-modules 2:4.8.5+dfsg-1 (binary)

syslinux-common 3:6.04~git20171011.af7e95c3+dfsg1-5 (binary) overridden

tracker-extract 2.1.4-2 (binary)

virtualbox-guest-x11 5.2.20-dfsg-1 (binary)

winbind 2:4.9.1+dfsg-1 (binary)

winbind 2:4.8.5+dfsg-1 (binary)

xrdp 0.9.8-2 (binary)